
/* 分页 */
.skip>* {
    margin: 0 5px;
    color: #333;
}

.skip input,
.skip button {
    outline: 0 none;
    border: 1px solid #D6D6D6;
    background: transparent;
    padding: 0 0.2rem;
    /* height: 30px; */
    height: 31.6px;
}

.skip button {
    transition: all .3s ease;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
}

.skip button:hover {
    background: #9B0C13;
    color: #fff;
    border: 1px solid #9B0C13;
}

/* 去掉input自带加减符 */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

input[type="number"] {
    -moz-appearance: textfield;
    width: 31.6px;
    height: 31.6px;
    text-align: center;

    transition: all .3s ease;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
}

input[type="number"]:focus {
    border: 1px solid #89c8ff;
}

.pagination {
    flex-wrap: nowrap;
}

.pagination>li {
    transition: all .3s ease;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    border: 1px solid #D6D6D6;
    border-radius: 0;


    width: 30px;
    height: 30px;
    min-width: 30px;
    margin-right: 0.5rem;
}

.pagination>li:hover,
.pagination>li.active {
    background: #9B0C13;
    color: #fff;
    cursor: default;
    border-color: #9B0C13;
}

.pagination>li:hover a,
.pagination>li.active a {
    color: #fff;
}


nav .pagination li a {
    font-size: 14px;
    line-height: 30px;
    color: #333;

    display: flex;
    justify-content: center;
    align-content: center;
}

nav .skip {
    font-size: 14px;
}

nav {
    padding: 30px 0;
}

nav>* {
    margin-bottom: 5px;
}

.pagination>li[class="active"]:hover a {
    cursor: no-drop;
}

.pagination>.disabled,
.pagination>.disabled:hover,
.pagination>.disabled:focus {
    cursor: not-allowed;
    background: #fff;
    border: 1px solid #D6D6D6;
}

.pagination>.disabled a,
.pagination>.disabled:hover a,
.pagination>.disabled:focus a {
    color: #333 !important;
}

ul.ul-pager>li.page-tool>a:focus,
ul.ul-pager>li.page-tool>a:hover {
    background-color: #004da4;
}

ul.ul-pager>li>a:focus,
ul.ul-pager>li>a:hover {
    background-color: #004da4;
}

ul.ul-pager>li.page-tool>a {
    color: #9B0C13;
}

ul.ul-pager>li.active>a,
ul.ul-pager>li.active>a:focus,
ul.ul-pager>li.active>a:hover,
ul.ul-pager>li.page-tool>a {
    background-color: #9B0C13;
}